org.apache.jorphan.util

## Class ThreadDumper

- java.lang.Object
- - org.apache.jorphan.util.ThreadDumper

    public class ThreadDumper
    extends Object

Utility class to create a Thread Dump

Since:
  3.2

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `threadDump()` Returns name of file containing thread dump.
`static String` `threadDump(File basedir)` Returns name of file containing thread dump.
`static void` `writeThreadDump(Writer writer)` Write Thread Dump

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### threadDump

    public static String threadDump()
                             throws Exception

Returns name of file containing thread dump.

Returns:
  Name of file containing thread dump
Throws:
  `Exception` - if file cannot be written

#### threadDump

    public static String threadDump(File basedir)
                             throws Exception

Returns name of file containing thread dump.

Parameters:
  `basedir` - `File` Base directory
Returns:
  Name of file containing thread dump
Throws:
  `Exception` - if file cannot we written

#### writeThreadDump

    public static void writeThreadDump(Writer writer)
                                throws IOException

Write Thread Dump

Parameters:
  `writer` - `Writer`
Throws:
  `IOException` - if file cannot be written